// Color variables
$clr-parakeet-green: #0A875F;
$clr-dark-parakeet-green: #105E4F;
$clr-light-sage: #C0E0D9;
$clr-medium-sage: #8EC6B9;
$clr-spartan-green: #18453B;
$clr-eggplant: #592646;
$clr-violet: #780A80;
$clr-light-gray: #F0F0F0;
$clr-medium-gray: #C1C1C1;
$clr-dark-gray: #535054;
$clr-charcoal-gray: #2F2F2F;
$clr-light-lavender-gray: #D2D7E7;
$clr-lavender-gray: #ACB3C9;
$clr-light-indigo: #9AAEF3;
$clr-medium-indigo: #677CCA;
$clr-dark-indigo: #3F59B8;
$clr-light-red: #EF8F8F;
$clr-medium-red: #FF6955;
$clr-dark-red: #D63434;
$clr-black: #000000;
$clr-white: #FFFFFF;

// Defined instance colors as a map
$colors: (
  'parakeet-green': $clr-parakeet-green,
  'dark-parakeet-green': $clr-dark-parakeet-green,
  'medium-sage': $clr-medium-sage,
  'light-sage':  $clr-light-sage,
  'spartan-green': $clr-spartan-green,
  'eggplant': $clr-eggplant,
  'violet': $clr-violet,
  'light-gray': $clr-light-gray,
  'medium-gray': $clr-medium-gray,
  'dark-gray': $clr-dark-gray,
  'charcoal-gray': $clr-charcoal-gray,
  'light-lavender-gray': $clr-light-lavender-gray,
  'lavender-gray': $clr-lavender-gray,
  'light-indigo': $clr-light-indigo,
  'medium-indigo': $clr-medium-indigo,
  'dark-indigo': $clr-dark-indigo,
  'light-red': $clr-light-indigo,
  'medium-red': $clr-medium-indigo,
  'dark-red': $clr-dark-indigo,
  'black': $clr-black,
  'white': $clr-white,
);

// Defined instance font sizes
$fonts: (
  'xl': 2.5rem,
  'h1': 2rem,
  'h1-sm': 1.8rem,
  'h2': 1.7rem,
  'h2-sm': 1.65rem,
  'h2-side-menu': 1.5rem,
  'h3': 1.5rem,
  'h3-sm': 1.5rem,
  'h4': 1.25rem,
  'h4-sm': 1.25rem,
  'h5': 1.1rem,
  'h5-sm': 1.1rem,
  'h6': 1rem,
  'h6-sm': 1rem,
  'lg': 1.2rem,
  'md': 1rem,
  'sm': .8rem,
  'xs': .6rem,
);

// Defined instance font sizes
$sizes: (
  'xl': 2.5rem,
  'lg': 2rem,
  'md': 1.5rem,
  'sm': 1rem,
);

// Breakpoints copied over from Bootstrap 5
$breakpoints: (
  'xs': 0,
  'sm': 576px,
  'md': 768px,
  'lg': 992px,
  'xl': 1200px,
  'xxl': 1400px,
);

$msul-font: Metropolis, Arial, Helvetica, sans-serif;
